pcm.rockaa {
	@args [ SLAVE RATE CAPT_CH_FAR CONF_PLAY_NAME CONF_CAPT_NAME
                PLAY_IN PLAY_OUT CAPT_IN CAPT_OUT DEBUG_MODE ]
	@args.SLAVE {
		type string
		default "plug:hw"
	}
	@args.RATE {
		type integer
		default 48000
	}
	@args.CAPT_CH_FAR {
		type integer
		default 0
	}
	@args.CONF_PLAY_NAME {
		type string
		default null
	}
	@args.CONF_CAPT_NAME {
		type string
		default null
	}
	@args.PLAY_IN {
		type string
		default null
	}
	@args.PLAY_OUT {
		type string
		default null
	}
	@args.CAPT_IN {
		type string
		default null
	}
	@args.CAPT_OUT {
		type string
		default null
	}
	@args.DEBUG_MODE {
		type integer
		default 0
	}
	type rockaa
	slave.pcm $SLAVE
	rate $RATE
	capt_ch_far $CAPT_CH_FAR
	conf_play_name $CONF_PLAY_NAME
	conf_capt_name $CONF_CAPT_NAME
	play_in $PLAY_IN
	play_out $PLAY_OUT
	capt_in $CAPT_IN
	capt_out $CAPT_OUT
	debug_mode $DEBUG_MODE
	hint {
		show {
			@func refer
			name defaults.namehint.basic
		}
		description "Plugin using RockkAA (Rockchip Audio Algorithm)"
	}
}
